MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024129Open CASCADE[OCCT] OCCT:Codingpublic2013-08-27 10:502013-12-19 13:57
Reporteromy 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version32 bit
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024129: Eliminate remaining compiler warnings in MSVC++ 2008 32 bit with warning level 4
DescriptionWhen compiling OCCT 6.6.0 with warning level set to 4, MSVC 2008 compiler produces many warnings of different types.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0023934closedabv Compiler warnings in MS VC++ 10 
child of 0023947closedomy Eliminate trivial compiler warnings in MSVC++ with warning level 4 

-  Notes
(0025408)
omy (developer)
2013-08-29 09:52

Dear abv,
Please, review the fixes in branch CR24129
(0025414)
kgv (developer)
2013-08-29 12:29

+  // To eliminate compiler warning C4706:

Please avoid redundant comments in the code.

> if ((err = LoadShapes(ns1,ns2))) return err

These lines could be replaced by extra method to keep readability and resolve warning.

+#ifdef OCC2932

Please clean up code from this macros rather than adding new #ifdef.

+#define IP_III_DEB

This is uncommon way to define debug macros to disable debug code.
(0025419)
omy (developer)
2013-08-30 11:39

I've made the necessary fixes.
Please, review.
(0025539)
abv (manager)
2013-09-12 10:29

I have pushed my corrections to CR24129_1, please review
(0025544)
kgv (developer)
2013-09-12 12:47

Patch is ready for testing.
(0025593)
mkv (tester)
2013-09-17 08:05
edited on: 2013-09-17 08:15

Dear BugMaster,

Branch CR24129_1 was compiled on Linux platform.
SHA-1: 07031cddb01fe32d48b5ebdc5622d2fb3eaea731

There is compilation error:
http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/CR24129_1/job/mnt-CR24129_1-master_build_occt_linux/1/parsed_console/? [^]
../../../../src/ViewerTest/ViewerTest_ViewerCommands.cxx:513: error: ‘theDisplayName’ was not declared in this scope

(0025595)
abv (manager)
2013-09-17 08:54

Please postpone testing this issue until branch CR23934 is tested: the fact is that the latter was based on CR24129 and still contains its commits. If CR23934 is tested without regressions, it should be integrated as two commits: one for CR24129, another for CR23934. I will do necessary rebasing when needed.
(0025616)
mkv (tester)
2013-09-18 09:00

Dear BugMaster,

Branch CR23934 ( 0023934 ) is TESTED.

- Related Changesets
occt: master 498ce76b
Timestamp: 2013-09-18 05:13:31
Author: abv
Committer: abv
Details ] Diff ]
0024129: Eliminate remaining compiler warnings in MSVC++ 2008 32 bit with warning level 4

List of resolved warnings:

c4063: Aspect.cdl; TObj_Application.cxx; PCDM.cdl; OpenGl_Workspace_5.cxx;
c4100: XDEDRAW.cxx; ViewerTest_ViewerCommands.cxx; TopOpeBRep_FacesFiller_1.cxx; TopClass_Classifier3d.gxx; TDataStd_ReferenceArray.cxx; QABugs_19.cxx; IntPatch_ImpImpIntersection_5.gxx; HLRTopoBRep_DSFiller.cxx; HLRBRep_Data.lxx; DPrsStd_AISPresentationCommands.cxx; BRepMesh_Delaun.cxx;
c4127: BOPTools_AlgoTools2D.cxx; MAT_Mat.gxx; GeomFill_SweepSectionGenerator.cxx; BRepMesh_Delaun.cxx;
c4189: IntCurveSurface_Inter.gxx; IGESToBRep_BRepEntity.cxx; BRepMesh_Delaun.cxx; BRepAlgo_Loop.cxx; IntStart_SearchOnBoundaries_1.gxx;
c4190: Plugin_Macro.hxx;
c4389: Visual3d_View.cxx; TopOpeBRep/TopOpeBRep_vpr.cxx; TDataStd_BooleanArray.cxx; IntPatch_ALine.cxx;
c4701: BRepAlgo.cxx;
c4702: MNaming_NamingRetrievalDriver_1.cxx; MNaming_NamingRetrievalDriver_2.cxx; BRepClass3d_SolidExplorer.cxx;
c4706: TestTopOpe_BOOP.cxx;

Additional fixes:
- old-style declarations of C functions in IGES and STEP parsers
- clean-up of debug code, fixes for building in Debug mode
- in BRepFill_TrimShellCorner.cxx, lines 878-9, wrong use of assignment instead of comparison fixed
- fix for Plugin_Macro reverted; warning 4190 disabled instead
- in IntPatch_ALine.cxx, line 520, wrong comparison of boolean with index fixed
- in InterfaceGraphic_Visual3d.hxx, field IsCustomMatrix made boolean
- in TopOpeBRepBuild_ShapeSet, obsolete (unused) methods removed
mod - src/Aspect/Aspect.cdl Diff ] File ]
mod - src/BinDrivers/BinDrivers.cxx Diff ] File ]
mod - src/BinLDrivers/BinLDrivers.cxx Diff ] File ]
mod - src/BinTObjDrivers/BinTObjDrivers.cxx Diff ] File ]
mod - src/BinXCAFDrivers/BinXCAFDrivers.cxx Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools2D.cxx Diff ] File ]
mod - src/BRepAlgo/BRepAlgo.cxx Diff ] File ]
mod - src/BRepAlgo/BRepAlgo_Loop.cxx Diff ] File ]
mod - src/BRepCheck/BRepCheck_Wire.cxx Diff ] File ]
mod - src/BRepClass3d/BRepClass3d_SolidExplorer.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_TrimShellCorner.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_Delaun.cxx Diff ] File ]
mod - src/BRepOffset/BRepOffset_Inter2d.cxx Diff ] File ]
mod - src/BRepOffset/BRepOffset_MakeOffset.cxx Diff ] File ]
mod - src/BRepTools/BRepTools_NurbsConvertModification.cxx Diff ] File ]
mod - src/BSplSLib/BSplSLib.cxx Diff ] File ]
mod - src/DPrsStd/DPrsStd_AISPresentationCommands.cxx Diff ] File ]
mod - src/Draw/Draw_Window.cxx Diff ] File ]
mod - src/FWOSDriver/FWOSDriver.cxx Diff ] File ]
mod - src/Geom2dAPI/Geom2dAPI_InterCurveCurve.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_SweepSectionGenerator.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_MarkerImage.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_Data.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_Data.lxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_LineTool.lxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_PolyAlgo.cxx Diff ] File ]
mod - src/HLRTopoBRep/HLRTopoBRep_DSFiller.cxx Diff ] File ]
mod - src/IGESFile/analiges.c Diff ] File ]
mod - src/IGESFile/igesread.c Diff ] File ]
mod - src/IGESFile/igesread.h Diff ] File ]
mod - src/IGESFile/structiges.c Diff ] File ]
mod - src/IGESToBRep/IGESToBRep_BRepEntity.cxx Diff ] File ]
mod - src/Image/Image_AlienPixMap.cxx Diff ] File ]
mod - src/IntCurveSurface/IntCurveSurface_Inter.gxx Diff ] File ]
mod - src/InterfaceGraphic/InterfaceGraphic_Visual3d.hxx Diff ] File ]
mod - src/IntPatch/IntPatch_ALine.cxx Diff ] File ]
mod - src/IntPatch/IntPatch_ImpImpIntersection_5.gxx Diff ] File ]
mod - src/IntStart/IntStart_SearchOnBoundaries_1.gxx Diff ] File ]
mod - src/MAT/MAT_Mat.gxx Diff ] File ]
mod - src/MNaming/MNaming_NamingRetrievalDriver_1.cxx Diff ] File ]
mod - src/MNaming/MNaming_NamingRetrievalDriver_2.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver_3.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace_5.cxx Diff ] File ]
mod - src/PCDM/PCDM.cdl Diff ] File ]
mod - src/QABugs/QABugs_19.cxx Diff ] File ]
mod - src/RWHeaderSection/RWHeaderSection_ReadWriteModule.cxx Diff ] File ]
mod - src/Standard/Standard_MMgrOpt.cxx Diff ] File ]
mod - src/StdDrivers/StdDrivers.cxx Diff ] File ]
mod - src/StdLDrivers/StdLDrivers.cxx Diff ] File ]
mod - src/STEPControl/STEPControl_ActorRead.cxx Diff ] File ]
mod - src/STEPControl/STEPControl_ActorWrite.cxx Diff ] File ]
mod - src/StepFile/recfile.pc Diff ] File ]
mod - src/TDataStd/TDataStd_BooleanArray.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_ReferenceArray.cxx Diff ] File ]
mod - src/TestTopOpe/TestTopOpe_BOOP.cxx Diff ] File ]
mod - src/TestTopOpe/TestTopOpe_BOOPCommands.cxx Diff ] File ]
mod - src/TestTopOpeTools/TestTopOpeTools_TraceCommands.cxx Diff ] File ]
mod - src/TObj/TObj_Application.cxx Diff ] File ]
mod - src/TopClass/TopClass_Classifier3d.gxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_EdgesFiller.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_FacesFiller_1.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_Point2d.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_ProcessGR.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_ShapeIntersector.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_ShapeIntersector2d.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_VPointInter.cxx Diff ] File ]
mod - src/TopOpeBRep/TopOpeBRep_vpr.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_Area1dBuilder.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_FaceBuilder.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_keep.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_ShapeSet.cdl Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_ShapeSet.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_ShellFaceSet.cxx Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_WireEdgeSet.cdl Diff ] File ]
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_WireEdgeSet.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_Curve.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_Interference.cxx Diff ] File ]
mod - src/TopOpeBRepDS/TopOpeBRepDS_SurfaceCurveInterference.cxx Diff ] File ]
mod - src/TopOpeBRepTool/TopOpeBRepTool_HBoxTool.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ObjectCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - src/Visual3d/Visual3d_View.cxx Diff ] File ]
mod - src/XCAFDrivers/XCAFDrivers.cxx Diff ] File ]
mod - src/XDEDRAW/XDEDRAW.cxx Diff ] File ]
mod - src/XmlDrivers/XmlDrivers.cxx Diff ] File ]
mod - src/XmlLDrivers/XmlLDrivers.cxx Diff ] File ]
mod - src/XmlTObjDrivers/XmlTObjDrivers.cxx Diff ] File ]
mod - src/XmlXCAFDrivers/XmlXCAFDrivers.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-08-27 10:50 omy New Issue
2013-08-27 10:50 omy Assigned To => omy
2013-08-27 10:50 omy Status new => assigned
2013-08-29 09:51 omy Relationship added child of 0023947
2013-08-29 09:52 omy Note Added: 0025408
2013-08-29 09:52 omy Assigned To omy => abv
2013-08-29 09:52 omy Status assigned => resolved
2013-08-29 12:29 kgv Note Added: 0025414
2013-08-30 11:39 omy Note Added: 0025419
2013-09-12 10:29 abv Note Added: 0025539
2013-09-12 10:30 abv Assigned To abv => kgv
2013-09-12 12:47 kgv Note Added: 0025544
2013-09-12 12:47 kgv Assigned To kgv => bugmaster
2013-09-12 12:47 kgv Status resolved => reviewed
2013-09-16 16:38 bugmaster Assigned To bugmaster => mkv
2013-09-17 08:05 mkv Note Added: 0025593
2013-09-17 08:05 mkv Test case number => Not needed
2013-09-17 08:05 mkv Assigned To mkv => omy
2013-09-17 08:05 mkv Status reviewed => assigned
2013-09-17 08:15 mkv Note Edited: 0025593 View Revisions
2013-09-17 08:54 abv Note Added: 0025595
2013-09-17 08:54 abv Assigned To omy => mkv
2013-09-17 08:54 abv Status assigned => feedback
2013-09-18 09:00 mkv Note Added: 0025616
2013-09-18 09:00 mkv Assigned To mkv => bugmaster
2013-09-18 09:11 abv Relationship added related to 0023934
2013-09-20 15:44 abv Changeset attached => occt master 498ce76b
2013-09-20 15:44 abv Assigned To bugmaster => abv
2013-09-20 15:44 abv Status feedback => verified
2013-09-20 15:44 abv Resolution open => fixed
2013-12-19 13:52 bugmaster Status verified => closed
2013-12-19 13:57 bugmaster Fixed in Version => 6.7.0
2014-01-11 11:58 abv Category OCCT Release:BUILD => OCCT:Coding


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker